FILTER(1)

NAME
Net::LDAP::Filter - representation of LDAP filters

SYNOPSIS
  use Net::LDAP::Filter;
  $filter = Net::LDAP::Filter->new( $filter_str );

DESCRIPTION

CONSTRUCTOR

new ( FILTER )
    Create a new object and parse FILTER.

METHODS

parse ( FILTER )
    Parse FILTER. The next call to ber will return this filter encoded.

asn Return the data structure suitable for passing directly to the Convert::ASN1 manpage to encode a filter object.

as_string
    Return the filter in text form.

print ( [ FH ] )
    Print the text representation of the filter to FH, or the currently selected output handle if FH is not given.

FILTER SYNTAX
Below is the syntax for a filter given in RFC-2254 http://info.internet.isi.edu/in-notes/rfc/files/rfc2254.txt

 filter       = "(" filtercomp ")"
 filtercomp   = and / or / not / item
 and          = "&" filterlist
 or           = "|" filterlist
 not          = "!" filter
 filterlist   = 1*filter
 item         = simple / present / substring / extensible
 simple       = attr filtertype value
 filtertype   = equal / approx / greater / less
 equal        = "="
 approx       = "~="
 greater      = ">="
 less         = "<="
 extensible   = attr [":dn"] [":" matchingrule] ":=" value
                / [":dn"] ":" matchingrule ":=" value
 present      = attr "=*"
 substring    = attr "=" [initial] any [final]
 initial      = value
 any          = "*" *(value "*")
 final        = value
 attr         = AttributeDescription from Section 4.1.5 of RFC-2251
 matchingrule = MatchingRuleId from Section 4.1.9 of RFC-2251
 value        = AttributeValue from Section 4.1.6 of RFC-2251
 Special Character encodings
 ---------------------------
    *               \2a, \*
    (               \28, \(
    )               \29, \)
    \               \5c, \\
    NUL             \00

SEE ALSO
the Net::LDAP manpage, Other online documentation

ACKNOWLEDGEMENTS
This document is based on a document originally written by Russell Fulton <r.fulton@auckland.ac.nz>.

AUTHOR
Graham Barr <gbarr@pobox.com>

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap-dev@lists.sourceforge.net>.

COPYRIGHT
Copyright (c) 1997-2000 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

$Id: Filter.pod,v 1.3 2001/08/24 19:31:14 gbarr Exp $